Résolu Je ne peux pas me /kill sur mon serveur avec Essentials

TheGabDooSan

Nouveau
5 Juin 2019
17
1
4
Bonjour a tous, je cherche de l'aide car quand j'essaye de me /kill ca ne fait rien et ca me met un message dans la console :

Code:
[00:30:25 INFO]: TheGabDooSan issued server command: /kill TheGabDooSan
[00:30:25 ERROR]: echec de la commande kill :
java.lang.NoSuchMethodError: org.bukkit.event.entity.EntityDamageEvent.<init>(Lorg/bukkit/entity/Entity;Lorg/bukkit/event/entity/EntityDamageEvent$DamageCause;I)V
        at com.earth2me.essentials.commands.Commandkill.updatePlayer(Commandkill.java:37) ~[EssentialsX.jar:?]
        at com.earth2me.essentials.commands.EssentialsLoopCommand.loopOnlinePlayers(EssentialsLoopCommand.java:132) ~[EssentialsX.jar:?]
        at com.earth2me.essentials.commands.Commandkill.run(Commandkill.java:26) ~[EssentialsX.jar:?]
        at com.earth2me.essentials.commands.EssentialsCommand.run(EssentialsCommand.java:186) ~[EssentialsX.jar:?]
        at com.earth2me.essentials.commands.EssentialsCommand.run(EssentialsCommand.java:180) ~[EssentialsX.jar:?]
        at com.earth2me.essentials.Essentials.onCommandEssentials(Essentials.java:527) [EssentialsX.jar:?]
        at com.earth2me.essentials.Essentials.onCommand(Essentials.java:402) [EssentialsX.jar:?]
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.dispatchCommand(CraftServer.java:648) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.PlayerConnection.handleCommand(PlayerConnection.java:1399) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.PlayerConnection.a(PlayerConnection.java:1234) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_211]
        at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_211]
        at net.minecraft.server.v1_12_R1.SystemUtils.a(SourceFile:46) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.D(MinecraftServer.java:748) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:406) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:679) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:577) [spigot.jar:git-Spigot-dcd1643-e60fc34]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_211]
Merci pour votre aide,
Cordialement
 

TheGabDooSan

Nouveau
5 Juin 2019
17
1
4
Salut,

La version de ton Essentials ne semble pas compatible avec la version de ton serveur.
Peux-tu nous en dire plus sur ceux-ci ?



Cordialement,
Detobel36
Desolé je n'avais pas vu la reponse, c'est bon, c'etait effectivement a cause de la version d'Essentials
Merci